package com.me.tft_02.soulbound.configs;

import java.io.File;
import java.io.IOException;

import org.bukkit.plugin.Plugin;

public class Message extends ConfigLoader {
	private static String CONFIG_NAME = "message.yml";
	private static FileConfig instance;
	private static File file;

	public Message(Plugin p) {
		super(p, CONFIG_NAME);
		file = new File(p.getDataFolder(), CONFIG_NAME);
		instance = super.getInstance();
	}

	public Message(Plugin p, String ver) {
		super(p, CONFIG_NAME, ver);
		instance = super.getInstance();
	}

	public static void load(Plugin p) {
		new Message(p);
	}

	public static void load(Plugin p, String ver) {
		new Message(p, ver);
	}

	public static FileConfig getInstance() {
		return instance;
	}

	public static String getMessage(String path) {
		String message = instance.getString(path);
		if (message != null)
			message = message.replaceAll("&", "§");
		return message;
	}

	public static String getHead(String path, String prevName) {
		String message = instance.getString(path);
		if (message != null)
			message = message.replaceAll("&", "§").replaceAll("%player%",
					prevName);
		return message;
	}

	public static String[] getStringArray(String path) {
		return instance.getStringList(path).toArray(new String[0]);
	}

	public static void save() {
		try {
			instance.save(file);
		} catch (IOException e) {
			saveError(file);
			e.printStackTrace();
		}
	}
}
